UseTable
Date: 2019-10-22

org.jmol.export

## Class UseTable

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.String,java.lang.String>
    - - org.jmol.export.UseTable

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.String>

      class UseTable
      extends java.util.Hashtable<java.lang.String,java.lang.String>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `iObj`
    `private java.lang.String` | `keyword`
    `private char` | `term`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UseTable(java.lang.String keyword)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) java.lang.String` | `getDef(java.lang.String key)` This Hashtable contains references to _n where n is a number.
    `(package private) boolean` | `getDefRet(java.lang.String key, java.lang.String[] ret)` Used by JSExporter for WebGL

    - ### Methods inherited from class java.util.Hashtable

      `clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keys, keySet, merge, put, putAll, putIfAbsent, rehash, remove, remove, replace, replace, replaceAll, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### iObj

          private int iObj

    - #### keyword

          private java.lang.String keyword

    - #### term

          private char term

  - ### Constructor Detail

    - #### UseTable

          UseTable(java.lang.String keyword)

  - ### Method Detail

    - #### getDef

          java.lang.String getDef(java.lang.String key)

      This Hashtable contains references to _n where n is a number. we look up a key for anything and see if an object has been assigned. If it is there, we just return the phrase "USE _n". If it is not there, we return the DEF name that needs to be assigned. The calling method must then make that definition.
      Parameters:
        `key` -
      Returns:
        "_n" or "[keyword]_n"

    - #### getDefRet

          boolean getDefRet(java.lang.String key,
                            java.lang.String[] ret)

      Used by JSExporter for WebGL
      Parameters:
        `key` -
        `ret` -
      Returns:
        found